.include "C:\Program Files\Atmel\AVR Tools\AvrAssembler2\Appnotes\m48def.inc"

.def	tmp=R16

.cseg
.org	0x0000
	rjmp	Init

.org	PCI1addr
	rjmp	RcvInit

Init:
	ldi		tmp,(1<<PCINT8)
	sts		PCMSK1,tmp
	ldi		tmp,(1<<PCIE1)		; 
	sts		PCICR,tmp
	clr		tmp	
	out		DDRC,tmp
	
	ser		tmp
	out		DDRD,tmp			;PortD    

	ldi		tmp,0b00101100		;MOSI,SS,SCK-, MISO-
	out		DDRB,tmp
	ldi		tmp,(1<<SPE)|(1<<MSTR)|(1<<SPR0)|(1<<CPOL)
	out		SPCR,tmp
	sei

Start:
	nop
	nop
	rjmp	Start

RcvInit:
	ldi		tmp,3				;READ instruction
	out		SPDR,tmp
SendAddr:
	in		tmp,SPSR
	sbrs	tmp,SPIF
	rjmp	SendAddr			;   
	in		tmp,SPDR
	ldi		tmp,0x01			;   0x01
	out		SPDR,tmp
RcvData:
	in		tmp,SPSR
	sbrs	tmp,SPIF			;   
	rjmp	RcvData
	in		tmp,SPDR			;   -
	out		PORTD,tmp			;	  PortD
	reti
